import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { CategoryItemHighlightType } from "./CategoryItemHighlightType";
import { MarkerType } from "./MarkerType";
import { Brush } from "igniteui-angular-core";
import { DataTemplate } from "igniteui-angular-core";
import { CategoryItemHighlightLayerFrame } from "./CategoryItemHighlightLayerFrame";
import { Type, Point } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { ItemHighlightFrameRect } from "./ItemHighlightFrameRect";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { Pool$1 } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { ContentControl } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayer extends AnnotationLayer {
    static $t: Type;
    protected bj(): Series;
    protected get_er(): boolean;
    constructor();
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    protected zv: CategoryItemHighlightLayerView;
    zz: Series;
    aad: string;
    z3: boolean;
    zw: CategoryItemHighlightType;
    zy: MarkerType;
    aax: Brush;
    aay: Brush;
    aam: DataTemplate;
    z5: number;
    z2: boolean;
    protected yn(a: Series, b: boolean): void;
    protected xg(a: Series): boolean;
    protected yp(a: Frame, b: SeriesView): void;
    private z1;
    private z0;
    protected q7(a: any, b: string, c: any, d: any): void;
    private z4;
    private aaj;
    aah(a: Point, b: CategoryItemHighlightLayerFrame, c: Series): void;
    private zx;
    aai(a: Rect, b: CategoryItemHighlightLayerFrame, c: Series): void;
    protected ys(a: Frame, b: SeriesView): void;
    aak(a: ItemHighlightFrameRect, b: ContentControl): void;
    aal(a: ItemHighlightFrameRect, b: Rectangle): void;
    protected ga(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryItemHighlightLayer);
    protected b7: CategoryItemHighlightLayer;
    b9: Pool$1<Rectangle>;
    b8: Pool$1<ContentControl>;
    au(): void;
    protected ca: List$1<ContentControl>;
    protected cb: List$1<Rectangle>;
    private cn;
    private ch;
    private cj;
    private ci;
    private ck;
    private cc;
    private ce;
    private cd;
    cl(a: Brush): Brush;
    cm(a: Brush): Brush;
    cg(a: Rectangle, b: number, c: number, d: number, e: number): void;
    cf(a: ContentControl, b: number, c: number): void;
    protected bj(a: any, b: number): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
